#version 140

in vec3 in_Vertex;
in vec2 in_TexCoord0;

out vec2 texCoord0;

uniform mat4 projection;
uniform mat4 modelview;

void main()
{
	gl_Position = projection * modelview * vec4(in_Vertex, 1.0);
	texCoord0 = in_TexCoord0;
}

